KILL(1)

NOM
kill - Envoyer un signal à un processus

SYNOPSIS
kill [options] PID [...]

DESCRIPTION
Le signal par défaut de kill est TERM. Les options -l et -L affichent les signaux disponibles. Les signaux particulièrement utiles sont HUP, INT, KILL, STOP, CONT et 0. Les signaux peuvent être indiqués de 3 façons différentes : -9 -SIGKILL -KILL. Une valeur de PID négative peut être utilisée pour sélectionner des groupes de processus tout entiers ; regardez la colonne PGID de la sortie de la commande ps. Un PID de valeur -1 est particulier : il indique tous les processus sauf le processus kill lui-même et init.

OPTIONS

PID [...]
    Envoyer un signal à tous les PID indiqués.

-signal
-s signal
--signal signal
    Indiquer le signal à envoyer. Le signal peut être indiqué en utilisant un nom ou un nombre. Le comportement du signal est expliqué dans la page de manuel signal(7).

-q, --queue valeur
    Use sigqueue(3) rather than kill(2) and the value argument is used to specify an integer to be sent with the signal. If the receiving process has installed a handler for this signal using the SA_SIGINFO flag to sigaction(2), then it can obtain this data via the si_value field of the siginfo_t structure.

-l, --list [signal]
    Afficher les noms de signaux. Cette option a un paramètre facultatif qui sera converti en nom de signal, s'il s'agit d'un numéro de signal, et vice versa.

-L, --table
    Afficher les noms de signaux en un tableau bien présenté.

NOTES
Votre interpréteur de commandes possède probablement une commande kill
    interne. Vous devriez saisir /bin/kill pour exécuter la commande décrite ici au lieu de la commande interne.

EXEMPLES

kill -9 -1
    Tuer tous les processus possibles.

kill -l 11
    Traduire le nombre 11 en nom de signal.

kill -L
    Afficher les choix de signaux disponibles en un tableau bien présenté.

kill 123 543 2341 3453
    Envoyer le signal SIGTERM par défaut à tous ces processus.

VOIR AUSSI
kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7), sigqueue(3), skill(1)

STANDARDS
This command meets appropriate standards. The -L flag is Linux-specific.

AUTEUR
Albert Cahalan (albert@users.sf.net) wrote kill in 1999 to replace a bsdutils one that was not standards compliant. The util-linux one might also work correctly.

BOGUES
Signalez les bogues à <procps@freelists.org>